Saltar al contenido principal
GET
/
automation
/
actions
/
2026-03
/
{appId}
Recuperar definiciones de acciones personalizadas
curl --request GET \
  --url https://api.hubapi.com/automation/actions/2026-03/{appId} \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "actionUrl": "<string>",
      "functions": [
        {
          "functionType": "POST_ACTION_EXECUTION",
          "id": "<string>"
        }
      ],
      "id": "<string>",
      "inputFields": [
        {
          "isRequired": true,
          "typeDefinition": {
            "name": "<string>",
            "options": [
              {
                "label": "<string>",
                "value": "<string>",
                "description": "<string>",
                "displayOrder": 123
              }
            ],
            "type": "bool",
            "description": "<string>",
            "fieldType": "booleancheckbox",
            "helpText": "<string>",
            "label": "<string>",
            "optionsUrl": "<string>",
            "referencedObjectType": "OWNER"
          },
          "supportedValueTypes": [
            "STATIC_VALUE"
          ]
        }
      ],
      "labels": {},
      "objectTypes": [
        "<string>"
      ],
      "published": true,
      "revisionId": "<string>",
      "archivedAt": 123,
      "executionRules": [
        {
          "conditions": {},
          "labelName": "<string>"
        }
      ],
      "inputFieldDependencies": [
        {
          "controllingFieldName": "<string>",
          "dependencyType": "SINGLE_FIELD",
          "dependentFieldNames": [
            "<string>"
          ]
        }
      ],
      "objectRequestOptions": {
        "properties": [
          "<string>"
        ]
      },
      "outputFields": [
        {
          "typeDefinition": {
            "externalOptions": true,
            "name": "<string>",
            "options": [
              {
                "description": "<string>",
                "displayOrder": 123,
                "doubleData": 123,
                "hidden": true,
                "label": "<string>",
                "readOnly": true,
                "value": "<string>"
              }
            ],
            "schema": {
              "type": "INTEGER",
              "maximum": 123,
              "minimum": 123
            },
            "type": "bool",
            "useChirp": true,
            "description": "<string>",
            "externalOptionsReferenceType": "<string>",
            "fieldType": "booleancheckbox",
            "helpText": "<string>",
            "label": "<string>",
            "optionsUrl": "<string>",
            "referencedObjectType": "ABANDONED_CART"
          }
        }
      ]
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.es/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

appId
integer<int32>
requerido

Parámetros de consulta

after
string

El token del cursor de paginación del último recurso leído con éxito se devolverá como la propiedad JSON paging.next.after de una respuesta paginada que contenga más resultados.

archived
boolean
predeterminado:false

Si se devolverán solo los resultados que se han archivado.

limit
integer<int32>

El número máximo de resultados que se mostrarán por página.

Respuesta

successful operation

results
object[]
requerido
paging
object
Last modified on April 13, 2026